=== src/CMakeLists.txt ===
--- 
+++ 
@@ -68,7 +68,7 @@
     )
 endif()
 
-if (Qt5TextToSpeech_FOUND)
+if (Qt${QT_MAJOR_VERSION}TextToSpeech_FOUND)
     target_sources(KF5Notifications PRIVATE
         notifybytts.cpp
     )
@@ -139,16 +139,14 @@
         Canberra::Canberra)
 endif()
 
-if (Qt5TextToSpeech_FOUND)
-    target_link_libraries(KF5Notifications PRIVATE Qt5::TextToSpeech)
-endif()
-
-if(X11_FOUND)
+if (Qt${QT_MAJOR_VERSION}TextToSpeech_FOUND)
+    target_link_libraries(KF5Notifications PRIVATE Qt${QT_MAJOR_VERSION}::TextToSpeech)
+endif()
+
+if(HAVE_X11)
    target_link_libraries(KF5Notifications PRIVATE ${X11_X11_LIB})
     if (TARGET Qt5::X11Extras)
         target_link_libraries(KF5Notifications PRIVATE Qt5::X11Extras)
-    elseif (TARGET Qt6::Gui)
-        target_link_libraries(KF5Notifications PRIVATE Qt6::GuiPrivate) # qtx11extras_p.h
     endif()
 endif()
 
@@ -187,7 +185,7 @@
   REQUIRED_HEADERS KNotifications_HEADERS
 )
 
-install(TARGETS KF5Notifications EXPORT KF5NotificationsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS KF5Notifications EXPORT KF5NotificationsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 
 install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/knotifications_export.h
@@ -210,7 +208,7 @@
         ORG_DOMAIN org.kde
         SOURCES # using only public headers, to cover only public API
             ${KNotifications_HEADERS}
-        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
+            "${CMAKE_SOURCE_DIR}/Mainpage.dox"
         IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
         LINK_QCHS
             Qt5Widgets_QCH
@@ -240,12 +238,6 @@
         RENAME kf5_org.kde.StatusNotifierWatcher.xml)
 endif()
 
-if (NOT ANDROID)
-    install(FILES
-        knotificationplugin.desktop
-        DESTINATION ${KDE_INSTALL_KSERVICETYPESDIR})
-endif()
-
 include(ECMGeneratePriFile)
 ecm_generate_pri_file(BASE_NAME KNotifications LIB_NAME KF5Notifications DEPS "widgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KNotifications)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
